Attributes forms and problem with setting variables as defaults (QGIS 3.4.1)

2018-11-06 11:19 AM - Jadwiga Trojak

Status: Open

Priority: High

Assignee:

Category: Forms

Affected QGIS version:3.4.1 Regression?: Yes

Operating System: Windows 7 Professional Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 28199

Description

I have geopackage layer with two fields: user and data_mod. I'd like to set default value for user field with @user_account_name variable

(widget type: Text Edit) and for data_mod field with function now() (widget type: Date/Time). In the first case, after clicking Apply button,

this settings aren't save, and the default value changes automatically to 'NULL'. In the second case, default value changes automatically

to exact date, not date from variable now().

History

#1 - 2018-11-06 11:29 AM - Giovanni Manghi

- Status changed from Open to Feedback

Works as expected on 2.18 (I'm not sure @user_account_name is available on 2.18)?

#2 - 2018-11-06 11:53 AM - Jadwiga Trojak

Yes, in QGIS 2.18.25 it works.

#3 - 2018-11-07 12:12 PM - Giovanni Manghi

- Regression? changed from No to Yes

- Priority changed from Normal to High

- Status changed from Feedback to Open
